# Source Generated with Decompyle++
# File: in.pyc (Python 2.7)

""" Python Character Mapping Codec koi8_r generated from 'MAPPINGS/VENDORS/MISC/KOI8-R.TXT' with gencodec.py.

"""
import codecs

class Codec(codecs.Codec):
    
    def encode(self, input, errors = 'strict'):
        return codecs.charmap_encode(input, errors, encoding_table)

    
    def decode(self, input, errors = 'strict'):
        return codecs.charmap_decode(input, errors, decoding_table)



class IncrementalEncoder(codecs.IncrementalEncoder):
    
    def encode(self, input, final = False):
        return codecs.charmap_encode(input, self.errors, encoding_table)[0]



class IncrementalDecoder(codecs.IncrementalDecoder):
    
    def decode(self, input, final = False):
        return codecs.charmap_decode(input, self.errors, decoding_table)[0]



class StreamWriter(Codec, codecs.StreamWriter):
    pass


class StreamReader(Codec, codecs.StreamReader):
    pass


def getregentry():
    return codecs.CodecInfo(name = 'koi8-r', encode = Codec().encode, decode = Codec().decode, incrementalencoder = IncrementalEncoder, incrementaldecoder = IncrementalDecoder, streamreader = StreamReader, streamwriter = StreamWriter)

decoding_table = u'\x00\x01\x02\x03\x04\x05\x06\x07\x08\t\n\x0b\x0c\r\x0e\x0f\x10\x11\x12\x13\x14\x15\x16\x17\x18\x19\x1a\x1b\x1c\x1d\x1e\x1f !"#$%&\'()*+,-./0123456789:;<=>?@ABCDEFGHIJKLMNOPQRSTUVWXYZ[\\]^_`abcdefghijklmnopqrstuvwxyz{|}~\x7f\xe2\x94\x80\xe2\x94\x82\xe2\x94\x8c\xe2\x94\x90\xe2\x94\x94\xe2\x94\x98\xe2\x94\x9c\xe2\x94\xa4\xe2\x94\xac\xe2\x94\xb4\xe2\x94\xbc\xe2\x96\x80\xe2\x96\x84\xe2\x96\x88\xe2\x96\x8c\xe2\x96\x90\xe2\x96\x91\xe2\x96\x92\xe2\x96\x93\xe2\x8c\xa0\xe2\x96\xa0\xe2\x88\x99\xe2\x88\x9a\xe2\x89\x88\xe2\x89\xa4\xe2\x89\xa5\xc2\xa0\xe2\x8c\xa1\xc2\xb0\xc2\xb2\xc2\xb7\xc3\xb7\xe2\x95\x90\xe2\x95\x91\xe2\x95\x92\xd1\x91\xe2\x95\x93\xe2\x95\x94\xe2\x95\x95\xe2\x95\x96\xe2\x95\x97\xe2\x95\x98\xe2\x95\x99\xe2\x95\x9a\xe2\x95\x9b\xe2\x95\x9c\xe2\x95\x9d\xe2\x95\x9e\xe2\x95\x9f\xe2\x95\xa0\xe2\x95\xa1\xd0\x81\xe2\x95\xa2\xe2\x95\xa3\xe2\x95\xa4\xe2\x95\xa5\xe2\x95\xa6\xe2\x95\xa7\xe2\x95\xa8\xe2\x95\xa9\xe2\x95\xaa\xe2\x95\xab\xe2\x95\xac\xc2\xa9\xd1\x8e\xd0\xb0\xd0\xb1\xd1\x86\xd0\xb4\xd0\xb5\xd1\x84\xd0\xb3\xd1\x85\xd0\xb8\xd0\xb9\xd0\xba\xd0\xbb\xd0\xbc\xd0\xbd\xd0\xbe\xd0\xbf\xd1\x8f\xd1\x80\xd1\x81\xd1\x82\xd1\x83\xd0\xb6\xd0\xb2\xd1\x8c\xd1\x8b\xd0\xb7\xd1\x88\xd1\x8d\xd1\x89\xd1\x87\xd1\x8a\xd0\xae\xd0\x90\xd0\x91\xd0\xa6\xd0\x94\xd0\x95\xd0\xa4\xd0\x93\xd0\xa5\xd0\x98\xd0\x99\xd0\x9a\xd0\x9b\xd0\x9c\xd0\x9d\xd0\x9e\xd0\x9f\xd0\xaf\xd0\xa0\xd0\xa1\xd0\xa2\xd0\xa3\xd0\x96\xd0\x92\xd0\xac\xd0\xab\xd0\x97\xd0\xa8\xd0\xad\xd0\xa9\xd0\xa7\xd0\xaa'
encoding_table = codecs.charmap_build(decoding_table)
